org.eclipse.actf.model.dom.dombycom

## Class DomByCom

- java.lang.Object
- - org.eclipse.actf.model.dom.dombycom.DomByCom

    public class DomByCom
    extends Object

DomByCom is a utility class to obtain the COM wrapper object form the pointer of the web browser object.

### Field Summary

Fields
`static int` `BORDER_MODE`
`static String` `BORDER_STYLE_STRING`
`static int` `DIV_BORDER`
`static int` `DIV_BORDER_WIDTH`
`static String` `ID_DIV` This id is used for div elements created by aiBrowser to show border line of the focused object.
`static int` `STYLE_BORDER`
`static int` `STYLE_BORDER2`

### Constructor Summary

Constructors
Constructor and Description
`DomByCom(long iWebBrowser2)` DomByCom is a utility class to obtain the COM wrapper object form the pointer of the web browser object.

### Method Summary

Methods
`IDocumentEx` `getDocument()`
`void` `release()` Release all objects managed by the DomByCom.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID_DIV

    public static final String ID_DIV

This id is used for div elements created by aiBrowser to show border line of the focused object.

See Also:
  Constant Field Values

#### DIV_BORDER_WIDTH

    public static final int DIV_BORDER_WIDTH

See Also:
  Constant Field Values

#### STYLE_BORDER

    public static final int STYLE_BORDER

See Also:
  Constant Field Values

#### DIV_BORDER

    public static final int DIV_BORDER

See Also:
  Constant Field Values

#### STYLE_BORDER2

    public static final int STYLE_BORDER2

See Also:
  Constant Field Values

#### BORDER_MODE

    public static final int BORDER_MODE

See Also:
  Constant Field Values

#### BORDER_STYLE_STRING

    public static final String BORDER_STYLE_STRING

See Also:
  Constant Field Values

### Constructor Detail

#### DomByCom

    public DomByCom(long iWebBrowser2)

DomByCom is a utility class to obtain the COM wrapper object form the pointer of the web browser object.

Parameters:
  `iWebBrowser2` - the native pointer of the IWebBrowser2 object.

### Method Detail

#### release

    public void release()

Release all objects managed by the DomByCom. DomByCom has a resource manager which manages the life cycle of the objects obtained from the document.

#### getDocument

    public IDocumentEx getDocument()

Returns:
  the document object of the web browser.